#
#  Examples on the use of SpatialObjects.
#
PROJECT(DTITools)

cmake_minimum_required(VERSION 2.4)

# Find ITK.
FIND_PACKAGE(ITK REQUIRED)
IF(ITK_FOUND)
  INCLUDE(${ITK_USE_FILE})
ENDIF(ITK_FOUND)

#INCLUDE_REGULAR_EXPRESSION("^.*$")

ADD_EXECUTABLE(DTConverter DTConverter.cxx)
TARGET_LINK_LIBRARIES( DTConverter ITKIO )

ADD_EXECUTABLE(DTICrop DTICrop.cxx)
TARGET_LINK_LIBRARIES( DTICrop ITKIO )

ADD_EXECUTABLE(DTIPad DTIPad.cxx)
TARGET_LINK_LIBRARIES( DTIPad ITKIO )

INSTALL(TARGETS
  DTConverter
  DTIPad
  DTICrop
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)
